'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _path3, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTunisiaCircled = function SvgTunisiaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "TunisiaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#TunisiaCircled_svg__b)",
    mask: "url(#TunisiaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "TunisiaCircled_svg__c",
    width: 47,
    height: 46,
    x: 0,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M.998 1h45.993v45.993H.998z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#TunisiaCircled_svg__c)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#E70013",
    d: "M-10.5 1h68.99v45.993H-10.5z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M35.66 23.978a11.601 11.601 0 1 1-23.203 0 11.601 11.601 0 0 1 23.203 0"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#E70013",
    d: "M24.06 31.674a7.697 7.697 0 0 1 0-15.392c1.057 0 2.271.25 3.088.853-5.62.213-7.048 4.98-7.048 6.908s.909 6.213 7.047 6.843a6.5 6.5 0 0 1-3.087.788"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#E70013",
    d: "m30.838 27.214-3.496-1.27-2.309 2.911.13-3.709-3.486-1.298 3.579-1.03.157-3.708 2.078 3.078 3.579-1.001-2.29 2.93z"
  })))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "TunisiaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgTunisiaCircled;
